Search Results for

Show / Hide Table of Contents

# Class TextChangingEventArgs

An System.EventArgs which allows passing a cancelable new text value event.

##### Inheritance

System.Object
System.EventArgs
TextChangingEventArgs

##### Inherited Members

System.EventArgs.Empty
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class TextChangingEventArgs : EventArgs

### Constructors

#### TextChangingEventArgs(ustring)

Initializes a new instance of TextChangingEventArgs

##### Declaration

    public TextChangingEventArgs(ustring newText)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | newText | The new Text to be replaced.

### Properties

#### Cancel

Flag which allows to cancel the new text value.

##### Declaration

    public bool Cancel { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### NewText

The new text to be replaced.

##### Declaration

    public ustring NewText { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |